Stake Authority Summaries
curl --request GET \
--url https://api.rated.network/v0/solana/delegators/stakeAuthorities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v0/solana/delegators/stakeAuthorities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v0/solana/delegators/stakeAuthorities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": {
"from": 123,
"to": 123,
"size": 1
},
"total": 1,
"data": [
{
"stakeAuthority": "<string>",
"validatorDelegates": 1,
"delegations": [
{
"validatorVoteAccount": "<string>",
"validatorName": "<string>",
"percentage": "<string>"
}
],
"stakingRewardsApy": "<string>",
"mevRewardsApr": "<string>",
"delegatorApy": "<string>",
"sumMissedStakingRewards": "<string>",
"poolName": "<string>",
"delegatedStake": "<string>",
"networkPenetration": "<string>",
"aggregateValidatorEffectiveness": "<string>",
"blendedVoteCommissionRate": "<string>",
"blendedMevCommissionRate": "<string>",
"sumStakingRewards": "<string>",
"sumMevRewards": "<string>",
"sumRewards": "<string>",
"sumStakingCommissionPaid": "<string>",
"sumMevCommissionPaid": "<string>",
"sumCommissionPaid": "<string>"
}
],
"next": "<string>"
}{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Delegators
Stake Authority Summaries
GET
/
v0
/
solana
/
delegators
/
stakeAuthorities
Stake Authority Summaries
Similar to the Single delegator summary but returns the summary stats for all stake accounts or stake authorities.
Here’s how to interpret the inputs required to operate it:
On the
| Parameter | Context |
|---|---|
window | Window of the aggregation, with 1d, 7d, 30d and all being the supported values |
from | From a specific delegator’s ranking based on their order in terms of network_penetration |
size | The number of results included per page |
1d time period, the APY takes into account the rewards received for the last 3 days to smooth out the noise given Solana’s staking rewards schedule, which is every epoch (~2 days).Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
1d, 7d, 30d, all Required range:
x >= 0Required range:
1 <= x <= 200⌘I